<?php 

	include("connexion_db.php");

	$resultat = '';
	$flag = 'nok';
	$log = '';

	// Verification de la persistance des données
	if ($_SERVER['REQUEST_METHOD'] === 'POST' &&
		isset($_POST['id_Etablissement']) &&
		isset($_POST['docteur']) &&
		isset($_POST['donnees_Clinimetre_Valeur']) &&
		isset($_POST['donnees_Clinimetre_Objectifs']) &&
		isset($_POST['date_Objectifs']) &&
		isset($_POST['nbGrille']) &&
		isset($_POST['id_Fonctions'])) {
		

		$log .= 'Verification de la persistance des données : ok. ';



		// Initialisation des variables
		$docteur = json_decode($_POST["docteur"], true);

		$idEtablissement = $_POST['id_Etablissement'];
		$idDocteur = $docteur["id"];
		$idPatient = $docteur["idLastPatient"];
		$idGrille = $docteur["idLastGrille"];
		$donneesClinimetreValeur = $_POST['donnees_Clinimetre_Valeur'];
		//$currentDate = now();
		$donneesClinimetreObj = $_POST['donnees_Clinimetre_Objectifs'];
		$dateObj = dateJStoSQL($_POST['date_Objectifs']);
		$idFonctions = $_POST['id_Fonctions'];
		$nbGrille = $_POST['nbGrille'];

		$log .= 'Initialisation des variables : ok. ';
		$log .= 'Début enregistrement aujourd\'hui. ';


		$sqlveri = "SELECT date FROM caca r where r.id_patient='".$idPatient."' ORDER by r.date ASC";
		$reqq = cleanPDOQuery($sqlveri);
		$dateSQQQLLL='';
		while($res = $reqq->fetch()){
			$dateSQQQLLL = $res['date'];
		}
		$now = new DateTime();
		$now = $now->format('Y-m-d');

		if($dateSQQQLLL === $now){
				for ($i = 0; $i < count($donneesClinimetreObj); $i++) {
					$sql5 = "UPDATE caca SET valeur = '" . $donneesClinimetreObj[$i] . "' WHERE id_champ = '" . $idFonctions[$i] . "' AND id_patient = '" . $idPatient . "' AND id_docteur = '" . $idDocteur . "' AND id_etablissement = '" . $idEtablissement . "' AND date = '" . $now. "' ";
				$req5 = cleanPDOQuery($sql5);

				$log .= 'Itération n° ' . $i . ' : UPDATE ok. ';

				}


			}else{	
				for ($ii=1; $ii <= $nbGrille; $ii++) { 
            		$sql_imp = "SELECT id_fonction FROM grillesfonctions WHERE id_grille = '" . $ii . "'  ORDER BY id ASC";
            		$req_imp = cleanPDOQuery($sql_imp);
            		$fonction = '';

		            // while ($res_imp = $req_imp->fetch()) {
		            //     $fonction[] = $res_imp['id_fonction'];
		            // }
		            foreach ($req_imp as $a) {
		            	$fonction[] = $a['id_fonction'];
		            }
		            $sql_init = "INSERT INTO caca(id_grille,id_champ,valeur,id_patient,id_docteur,id_etablissement,date) values(0,0,0,'".$idPatient. "','".$idDocteur."','".$idEtablissement."','".$now."');";
		            $pp = cleanPDOQuery($sql_init);

		            $sqlIn ="";
		            for($j=0;$j<count($fonction);$j++){ 
		                $sqlIn .= "INSERT INTO caca(id_grille,id_champ,valeur,id_patient,id_docteur,id_etablissement,date) values('" . $ii . "','" . $fonction[$j] . "',0,'" . $idPatient . "', '" . $idDocteur . "', '" . $idEtablissement . "', '" . $now . "' );";
		                
		                //$resultat['sql_creation']=$sqlIn;
		             $req = cleanPDOQuery($sqlIn);
		             $sqlIn='';
		             }
		        }

		        for ($i = 0; $i < count($donneesClinimetreObj); $i++) {
					$sql5 = "UPDATE caca SET valeur = '" . $donneesClinimetreObj[$i] . "' WHERE id_champ = '" . $idFonctions[$i] . "' AND id_patient = '" . $idPatient . "' AND id_docteur = '" . $idDocteur . "' AND id_etablissement = '" . $idEtablissement . "' AND date = '" . $now . "' ";
				$req5 = cleanPDOQuery($sql5);

				$log .= 'Itération n° ' . $i . ' : UPDATE ok. ';

				}
		}



	}



	// Préparation des données
	$resultat['flag'] = $flag;
	$resultat['log'] = $log;
	$resultat['sql1'] = $sql1;
	$resultat['sql2'] = $sql2;
	$resultat['sql3'] = $sql3;
	$resultat['sql4'] = $sql4;
	$resultat['sql5'] = $sql5;
	
	// Envoie des données
	header('Content-Type: application/json');
 	echo json_encode($resultat);
?>